package me.chyxion.tigon.mybatis;

/**
 * @author Shaun Chyxion <br>
 * chyxion@163.com <br>
 * 2017/1/23 17:04
 */
class LteSearchProcessor extends AbstractSearchProcessor {

    /**
     * {@inheritDoc}
     */
    @Override
    public CriterionType type() {
        return CriterionType.LTE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    void doProcess(SearchProcessArgs args) {
        args.append(args.getCol() + " <= ").addValue(args.getValue());
    }
}
